Bug 235245

Summary: math/wxmaxima: update 17.05.1 -> 19.01.2, rename to lowercase, update MASTER_SITE, WWW
Product: Ports & Packages Reporter: Kurt Jaeger <pi>
Component: Individual Port(s)Assignee: Kurt Jaeger <pi>
Status: Closed FIXED    
Severity: Affects Only Me CC: jrm, nivit, phascolarctos, pi
Priority: --- Flags: pi: maintainer-feedback-
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/wxMaxima-developers/wxmaxima/releases
Bug Depends on:    
Bug Blocks: 222749    
Attachments:
Description Flags
patch
none
patch-v2 none

Description Kurt Jaeger freebsd_committer 2019-01-27 13:16:24 UTC
Created attachment 201446 [details]
patch

testbuilds look ok, testrun with some examples looked fine.

At times (not always) some errors are displayed in the startup window, like:

Maxima encountered a Lisp error:
 Package C does not exist.
   Line: 1, Column: 57066, File-Position: 57066
   Stream: #<SB-IMPL::STRING-INPUT-STREAM {1004F740F3}>
Automatically continuing.
[...]

But the system seems to work anyway.
Comment 1 Kurt Jaeger freebsd_committer 2019-02-09 21:18:48 UTC
Waiting for maintainer timeout. Tomorrow's the big day 8-)
Comment 2 Joseph Mingrone freebsd_committer 2019-02-09 21:22:59 UTC
The maintainer, nvit@,  wasn't on the CC list until I just added him. I guess he wasn't automatically added, because the subject had the new port name with lower case.
Comment 3 Kurt Jaeger freebsd_committer 2019-02-09 21:35:07 UTC
Nivit was on pr#222749 since 2017, and never acted. So he got the messages
when I added the depends-PR.
Comment 4 Kurt Jaeger freebsd_committer 2019-02-10 10:33:12 UTC
Created attachment 201890 [details]
patch-v2

new patch, to 19.02.0. pending testbuilds
Comment 5 Lorenzo Salvadore 2019-02-10 10:46:46 UTC
In case the maintainer cannot maintain this port anymore, I can do it: since I am the maintainer for maxima, if he wants or needs to drop maintainership I am probably well suited to take his place.

Of course, I do not want to take his place if he wants to stay maintainer and I leave precedence to Kurt if he wants to take maintainership as he is submitting the patch.
Comment 6 Kurt Jaeger freebsd_committer 2019-02-10 11:26:45 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2019-02-10 11:27:25 UTC
A commit references this bug:

Author: pi
Date: Sun Feb 10 11:26:26 UTC 2019
New revision: 492600
URL: https://svnweb.freebsd.org/changeset/ports/492600

Log:
  math/wxmaxima: update 17.05.1 -> 19.01.2, lowercase, update MASTER_SITE, WWW

  PR:		235245
  Reported by:	g.s@arcor.de
  Approved by:	nivit (maintainer timeout)
  Relnotes:	https://github.com/wxMaxima-developers/wxmaxima/releases

Changes:
  head/MOVED
  head/math/Makefile
  head/math/wxMaxima/
  head/math/wxmaxima/
  head/math/wxmaxima/Makefile
  head/math/wxmaxima/distinfo
  head/math/wxmaxima/files/patch-data_CMakeLists.txt
  head/math/wxmaxima/files/patch-info_CMakeLists.txt
  head/math/wxmaxima/files/patch-locales_CMakeLists.txt
  head/math/wxmaxima/pkg-descr
  head/math/wxmaxima/pkg-plist
Comment 8 Kurt Jaeger freebsd_committer 2019-02-10 11:28:38 UTC
(In reply to Lorenzo Salvadore from comment #5)
Can you get in touch with nivit and ask for approval by mail ?
Then create a new PR with the change of maintainer.
Comment 9 Joseph Mingrone freebsd_committer 2019-02-10 12:30:09 UTC
Ah, great. I was making sure it wasn't an oversight and was trying to nudge this along. Thanks!
Comment 10 Lorenzo Salvadore 2019-02-10 20:18:42 UTC
(In reply to Kurt Jaeger from comment #8)

Sure, I will try to contact him.